Site Sponsors
Results 1 to 5 of 5

Thread: Sigma Software 5.5.3 Correct?

  1. #1
    Member
    Join Date
    Jan 2012
    Posts
    133
    Post Thanks / Like

    Sigma Software 5.5.3 Correct?

    Hi,
    I've only made a few photos with my DP2 and I've had to use the jpeg function because the Mac OS on my home computer was too far out of date. I'm now ready to shoot raw and will soon download the software. Is the 5.5.3 the latest and/or correct one?
    I seem to remember folks here having less then praise for some versions and wanted to double check with more knowledgeable people before I proceed.

    thanks for the help!!

    Robert

  2. #2
    Senior Member The Ute's Avatar
    Join Date
    Feb 2013
    Posts
    955
    Post Thanks / Like

    Re: Sigma Software 5.5.3 Correct?

    Quote Originally Posted by OlderThenDirt View Post
    Hi,
    I've only made a few photos with my DP2 and I've had to use the jpeg function because the Mac OS on my home computer was too far out of date. I'm now ready to shoot raw and will soon download the software. Is the 5.5.3 the latest and/or correct one?
    I seem to remember folks here having less then praise for some versions and wanted to double check with more knowledgeable people before I proceed.

    thanks for the help!!

    Robert
    Version 6 is available for download from the Sigma site.

    It works w both Quattro as well Merrill Cameras.

    I'd use it.

  3. #3
    New Member
    Join Date
    Aug 2014
    Location
    Feltham, West London
    Posts
    4
    Post Thanks / Like

    Re: Sigma Software 5.5.3 Correct?

    Hi there
    What version of the DP2 are you using the original the x, s or Merrill version?
    SPP6 only works with the DP1,2 &3 Merrills and the DP2Quattro. There are also serious issues with SPP6 version at the moment, i would recomend that you stick with version 5.5.3 untill Sigma releases SPP 6.1

    Regards
    Keith W

  4. #4
    Senior Member The Ute's Avatar
    Join Date
    Feb 2013
    Posts
    955
    Post Thanks / Like

    Re: Sigma Software 5.5.3 Correct?

    Quote Originally Posted by Aquatarkus View Post
    Hi there
    What version of the DP2 are you using the original the x, s or Merrill version?
    SPP6 only works with the DP1,2 &3 Merrills and the DP2Quattro. There are also serious issues with SPP6 version at the moment, i would recomend that you stick with version 5.5.3 untill Sigma releases SPP 6.1

    Regards
    Keith W
    I disagree. I've been using the latest version of 6 w a Merrill and have not had a single problem.

  5. #5
    Member
    Join Date
    Jan 2012
    Posts
    133
    Post Thanks / Like

    Re: Sigma Software 5.5.3 Correct?

    Hi,
    I'm using DP1, DP2 and DP3 Merrills.
    I have read here differing opinions about the SPP and which version which is why I have the question.
    Thank you for the input.
    Robert

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •